import * as React from 'react'
import { HashRouter, Switch, Route, Redirect } from 'react-router-dom'
import AdminLayout from '../layout/index'
import { staticRoutes } from './config'

const router: React.FC = () => {
  return (
    <HashRouter>
      <Switch>
        <Route path='/admin' component={AdminLayout} />
        {
          staticRoutes.map(route => {
            return (
              <Route path={route.path} component={route.component} key={route.path} />
            )
          })
        }
        <Redirect from='/*' to='/admin/index'/>
      </Switch>
    </HashRouter>
  )
}

export default router