import request from './request'

export const ChargePower = params => {
  const config = {
    url: '/charge/power',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

export const ChargeConfig = params => {
  const config = {
    url: '/charge/conf',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

// 批量抄表
export const ChargePowerBatch = ({ charge_type, file }) => request({
  url: '/charge/power/batch',
  method: 'post',
  params: { charge_type },
  data: file
})

// 获取抄写模板 /api/v1/charge/power/template
export const GetChargePowerTemplate = () => request({
  url: '/charge/power/template',
  method: 'get'
})

export const GetHouseList = params => request({
  url: '/charge/obj_charge/house_list',
  method: 'get',
  params
})

// 费用设置-手动生成账单
export const CreateChargeBill = data => request({
  url: '/charge/obj_charge/bill',
  method: 'put',
  data
})

// 作废账单 /api/v1/charge/discard_bill/list
export const GetDiscardBill = params => request({
  url: '/charge/discard_bill/list',
  method: 'get',
  params
})

// 一键催缴 /api/v1/charge/unpay_bill/urge
export const ChargeUnPayBillUrge = data => request({
  url: '/charge/unpay_bill/urge',
  method: 'post',
  data
})

// 催缴设置
export const ChargeUrge = params => {
  const config = {
    url: '/charge/urge',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

// 预缴
export const ChargePrePay = data => request({
  url: '/charge/obj_charge/pre_pay',
  method: 'put',
  data
})

// 获取预缴信息
export const ChargePrePayInfo = params => request({
  url: '/charge/obj_charge/pre_pay_info',
  method: 'get',
  params
})

export const ChargePropertyPackage = params => {
  const config = {
    url: '/charge/property_package',
    method: params.method || 'get'
  }
  config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
  return request(config)
}

// 应收账单 /api/v1/charge/unpay_bill/obj_list
export const GetUnPayBill = params => request({
  url: '/charge/unpay_bill/obj_list',
  method: 'get',
  params
})

// 应收账单-对应费用明细 /api/v1/charge/unpay_bill/obj_bill_list
export const GetUnPayBillDetails = params => request({
  url: '/charge/unpay_bill/obj_bill_list',
  method: 'get',
  params
})

// 作废账单 /api/v1/charge/unpay_bill/discard
export const UnPayBillDiscard = data => request({
  url: '/charge/unpay_bill/discard',
  method: 'put',
  data
})

// 已缴账单 /api/v1/charge/payed_bill/list
export const GetPayedBill = params => request({
  url: '/charge/payed_bill/list',
  method: 'get',
  params
})

// 缴费订单列表 /api/v1/charge/order/list
export const GetChargeOrderList = params => request({
  url: '/charge/order/list',
  method: 'get',
  params
})

// 订单详情 /api/v1/charge/order/info
export const GetChargeOrderInfo = params => request({
  url: '/charge/order/info',
  method: 'get',
  params
})

// 确认订单支付 /api/v1/charge/order/confirm
export const ChargeOrderConfirm = data => request({
  url: '/charge/order/confirm',
  method: 'put',
  data
})
