import request from './request'

// 绑定收费对象
export const ChargeBind = data => request({
  url: '/charge/bind',
  method: 'put',
  data
})

// 解除收费对象
export const ChargeUnbind = data => request({
  url: '/charge/unbind',
  method: 'put',
  data
})

// 获取可绑定和绑定的房屋列表
export const GetChargeHouse = params => request({
  url: params.bind? '/charge/house/binded_list': '/charge/house/can_bind_list',
  method: 'get',
  params
})

// 获取可绑定和绑定的车辆列表
export const GetChargeCar = params => {
  const url = params.bind? '/charge/vehicle/binded_list': '/charge/vehicle/can_bind_list'
  delete params.bind
  return request({
    url,
    method: 'get',
    params
  })
}

// 获取可绑定和绑定的车位列表
export const GetChargeParkingPlace = params => request({
  url: params.bind? '/charge/space/binded_list': '/charge/space/can_bind_list',
  method: 'get',
  params
})

export const GetChargeObjHouse = params => request({
  url: '/charge/obj_charge/house_list',
  method: 'get',
  params
})

// 欠费列表
export const GetChargeObjUnPay = params => request({
  url: '/charge/obj_charge/unpay_list',
  method: 'get',
  params
})

// 查看费用
export const GetChargeObjBill = params => request({
  url: '/charge/obj_charge/charge_list',
  method: 'get',
  params
})

// 变更费用时间
export const ChangeChargeTime = data => request({
  url: '/charge/obj_charge/time',
  method: 'put',
  data: data
})


export const ChargePay = data => request({
  url: '/charge/obj_charge/pay',
  method: 'put',
  data
})

export const GetChargeObjCar = params => request({
  url: '/charge/obj_charge/vehicle_list',
  method: 'get',
  params
})

// 车位收费-车位列表 /api/v1/charge/obj_charge/space_list
export const GetChargeObjParkingPosition = params => request({
  url: '/charge/obj_charge/space_list',
  method: 'get',
  params
})

// 某对象下代缴费账单列表 /api/v1/charge/obj_charge/bill_list
export const GetChargeObjBillList = params => request({
  url: '/charge/obj_charge/bill_list',
  method: 'get',
  params
})

