import React from 'react'
import type { ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button, Modal, Form, Select, Input, Radio, Card, DatePicker } from 'antd'
import { withRouter } from 'react-router-dom'
import { GetChargeObjCar } from '../../services/entity'
import './index.scss'

const ChargeHouse: React.FC = (props: any) => {
  const columns: any = [
    {
      title: 'ID',
      dataIndex: 'vehicle_id',
      search: false
    },
    {
      title: '车牌号',
      dataIndex: 'plate_no',
      search: false,
    },
    {
      title: '车辆类型',
      dataIndex: 'vehicle_type',
      search: false,
    },
    {
      title: '车辆品牌',
      dataIndex: 'brand',
      search: false,
    },
    {
      title: '排量',
      dataIndex: 'displacement',
      search: false,
    },
    {
      title: '操作',
      dataIndex: 'option',
      search: false,
	  width: 210,
	  align: 'center',
      render: (_, row, index, action) => {
        const queryParams = `?obj_type=3&obj_id=${row.vehicle_id}&name=${row.plate_no}`
        return [
          <a onClick={() => {
            props.history.push('/admin/car/bill' + queryParams)
          }}>查看费用</a>
        ]
      }
    }
  ]
  const [state, setState] = React.useState({
    visible: false,
    exportVisible: false
  })

  const actionRef = React.useRef<ActionType>();
  return (
    <React.Fragment>
      <Card className='charge-filter' style={{ marginBottom: 16 }}>
        <Input style={{ width: 240 }} placeholder='请输入车牌号' />
        <Button type='primary' style={{ marginLeft: 12 }}>搜索</Button>
      </Card>
      <ProTable
        actionRef={actionRef}
        rowKey="key"
        search={false}
        request={GetChargeObjCar}
        toolBarRender={() => [
          <Button
            type="primary"
            key="primary"
            onClick={() => {
              setState(preState => ({ ...preState, visible: true }))
            }}
          >批量催缴单</Button>
        ]}
        columns={columns}
      />
    </React.Fragment>
  )
}

export default withRouter(ChargeHouse)