import React from 'react'
import ProTable from "@ant-design/pro-table"
import { Card } from "antd"
import { GetDiscardBill } from '../../services/charge'
import { CHARGE_TIME_TYPES, CHARGE_TYPES } from '../../CONSTANT'

const columns: any = [
  {
    title: 'ID',
    dataIndex: 'bill_id',
    search: false,
  },
  {
    title: '房间/车位',
    dataIndex: 'id',
    search: true,
  },
  {
    title: '费项名称',
    dataIndex: 'charge_name',
    search: true,
  },
  {
    title: '费用类型',
    dataIndex: 'charge_type',
    search: true,
    valueType: 'select',
    valueEnum: CHARGE_TYPES
  },
  {
    title: '实缴金额',
    dataIndex: 'amount',
    search: false
  },
  {
    title: '住户名',
    dataIndex: 'obj_name',
    search: false
  },
  {
    title: '住户电话',
    dataIndex: 'name',
    search: false
  },
  {
    title: '账单开始时间',
    dataIndex: 'start',
    search: false
  },
  {
    title: '账单结束时间',
    dataIndex: 'end',
    search: false
  },
  {
    title: '上次度数',
    dataIndex: 'last_used',
    search: false
  },
  {
    title: '本次度数',
    dataIndex: 'current_used',
    search: false
  },
  {
    title: '账单作废时间',
    dataIndex: 'del_at',
    search: false
  },
  {
    title: '作废原因',
    dataIndex: 'del_reason',
    search: false
  }
]

const ScrapBill:React.FC = () => {

  return (
    <Card>
      <ProTable
        columns={columns}
        request={GetDiscardBill}
        bordered
      />
    </Card>
  )
}

export default ScrapBill
