import React from 'react'
import { DatePicker, Form, Input, InputNumber, Radio, Select } from "antd";

const { MonthPicker } = DatePicker

// 费用类型1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他
const types = {
  1: '物业费',
  2: '水费',
  3: '电费',
  4: '气费',
  5: '车位管理费',
  6: '月租停车费',
  99: '其他'
}

// 数字输入框样式


const inputNumberStyle = { width: 100, marginRight: 8 }

// types selector
export const formTypes = Object.keys(types).map(key => ({
  label: types[key],
  value: +key
}))

console.log(formTypes)

// @ts-ignore
const TypeForm = {
  1: () => (
    <React.Fragment>
      <Form.Item label='费用方式' name="charge_time_type" rules={[{ required: true }]}>
        <Select placeholder='请选择'>
          <Select.Option value={1}>周期性缴费</Select.Option>
          <Select.Option value={2}>一次性</Select.Option>
        </Select>
      </Form.Item>
      <Form.Item label='账单生成周期' name="bill_period" rules={[{ required: true }]}>
        <Select placeholder='请选择'>
          <Select.Option value={1}>按月</Select.Option>
          <Select.Option value={2}>按季度</Select.Option>
          <Select.Option value={3}>半年</Select.Option>
          <Select.Option value={4}>年</Select.Option>
        </Select>
      </Form.Item>
      <Form.Item label='tips'>周期内的一号生成账单</Form.Item>
      <Form.Item label='账单周期计算方式' name="bill_period_type" rules={[{ required: true }]}>
        <Select placeholder='请选择'>
          <Select.Option value={1}>自然周期</Select.Option>
          <Select.Option value={2}>费用生效时间</Select.Option>
        </Select>
      </Form.Item>
      <Form.Item label='计费单价' name="unit_price" rules={[{ required: true }]} >
        <Input placeholder='请输入'/>
      </Form.Item>
      <Form.Item label='附加费用' name="fix_amount" rules={[{ required: true }]}>
        <Input placeholder='单行输入'/>
      </Form.Item>
      <Form.Item label='附加费用别名' name="fix_amount_name" rules={[{ required: true }]}>
        <Input placeholder='请输入'/>
      </Form.Item>
      <Form.Item label='费用生效时间' name="charge_effective_time" rules={[{ required: true }]}>
        <DatePicker picker="month" placeholder="任意时间点" format="YYYY-MM" />
      </Form.Item>
      <Form.Item label='tips'>精确到月份</Form.Item>
    </React.Fragment>
  ),
  2: () => (
    <React.Fragment>
      <Form.Item label='计费单价' name="unit_price" rules={[{ required: true }]} >
        <Input placeholder='请输入'/>
      </Form.Item>
      <Form.Item label='附加费用' name="fix_amount" rules={[{ required: true }]}>
        <Input placeholder='单行输入'/>
      </Form.Item>
      <Form.Item label='附加费用别名' name="fix_amount_name" rules={[{ required: true }]}>
        <Input placeholder='请输入'/>
      </Form.Item>
      <Form.Item label='费用生效时间' name="charge_effective_time" rules={[{ required: true }]}>
        <DatePicker picker="month" placeholder="任意时间点" format="YYYY-MM" />
      </Form.Item>
      <Form.Item label='tips'>精确到月份</Form.Item>
    </React.Fragment>
  ),
  5: () => (
    <React.Fragment>
      <Form.Item label='费用方式' name="charge_time_type" rules={[{ required: true }]}>
        <Select placeholder='请选择'>
          <Select.Option value={1}>周期性缴费</Select.Option>
          <Select.Option value={2}>一次性</Select.Option>
        </Select>
      </Form.Item>
      <Form.Item label='账单生成周期' name="bill_period" rules={[{ required: true }]}>
        <Select placeholder='请选择'>
          <Select.Option value={1}>按月</Select.Option>
          <Select.Option value={2}>按季度</Select.Option>
          <Select.Option value={3}>半年</Select.Option>
          <Select.Option value={4}>年</Select.Option>
        </Select>
      </Form.Item>
      <Form.Item label='tips'>周期内的一号生成账单</Form.Item>
      <Form.Item label='账单周期'>
        按自然周期 按费用生效时间
      </Form.Item>
      <Form.Item label='附加费用' name="fix_amount" rules={[{ required: true }]}>
        <Input placeholder='单行输入'/>
      </Form.Item>
      <Form.Item label='附加费用别名' name="fix_amount_name" rules={[{ required: true }]}>
        <Input placeholder='请输入'/>
      </Form.Item>
      <Form.Item label='费用生效时间' name="charge_effective_time" rules={[{ required: true }]}>
        <DatePicker picker="month" placeholder="任意时间点" format="YYYY-MM" />
      </Form.Item>
      <Form.Item label='tips'>精确到月份</Form.Item>
    </React.Fragment>
  ),
  // custom
  6: () => (
    <React.Fragment>
      <Form.Item label='固定费用' name="fix_amount" rules={[{ required: true }]}>
        <Input placeholder='单行输入'/>
      </Form.Item>
    </React.Fragment>
  ),
  99: () => (
    <React.Fragment>
      <Form.Item label='费用方式' name="charge_time_type" rules={[{ required: true }]}>
        <Select placeholder='请选择'>
          <Select.Option value={1}>周期性缴费</Select.Option>
          <Select.Option value={2}>一次性</Select.Option>
        </Select>
      </Form.Item>
      <Form.Item label='账单生成周期' name="bill_period" rules={[{ required: true }]}>
        <Select placeholder='请选择'>
          <Select.Option value={1}>按月</Select.Option>
          <Select.Option value={2}>按季度</Select.Option>
          <Select.Option value={3}>半年</Select.Option>
          <Select.Option value={4}>年</Select.Option>
        </Select>
      </Form.Item>
      <Form.Item label='计费单价' name="unit_price" rules={[{ required: true }]} >
        <Input placeholder='请输入'/>
      </Form.Item>
      <Form.Item label='附加费用' name="fix_amount" rules={[{ required: true }]}>
        <Input placeholder='单行输入'/>
      </Form.Item>
      <Form.Item label='附加费用别名' name="fix_amount_name" rules={[{ required: true }]}>
        <Input placeholder='请输入'/>
      </Form.Item>
      <Form.Item label='费用生效时间' name="charge_effective_time" rules={[{ required: true }]}>
        <DatePicker picker="month" placeholder="任意时间点" format="YYYY-MM" />
      </Form.Item>
      <Form.Item label='tips'>精确到月份</Form.Item>
    </React.Fragment>
  )
}



export const LateFee = () => {
  const [lateFeeFlag, setLateFeeFlag] = React.useState(false)
  return (
    <React.Fragment>
      <Form.Item label='状态' name="late_fee_enable">
        <Radio.Group
          defaultValue={lateFeeFlag}
          onChange={(event: any) => setLateFeeFlag(event.target.value)}
        >
          <Radio value={true}>开启</Radio>
          <Radio value={false}>关闭</Radio>
        </Radio.Group>
      </Form.Item>
      {
        lateFeeFlag && <React.Fragment>
          <Form.Item label='计算时间'>
            <div className={'flex items-center'}>
              账单生成后
              <Form.Item name="late_fee_day" style={{ margin: '0 0 0 5px' }}>
                <InputNumber placeholder={'请输入'} style={inputNumberStyle} />
              </Form.Item>（天） 开始计算滞纳金
            </div>
          </Form.Item>
          <Form.Item label='费用收取封顶天数'>
            <div className={'flex items-center'}>
              <Form.Item name="late_fee_max_days" style={{ margin: 0 }}>
                <InputNumber placeholder={'请输入'} style={inputNumberStyle} />
              </Form.Item>
              不填为不限制，一直计算到用户缴纳费用
            </div>
          </Form.Item>
          <Form.Item label='费用收取比例'>
            <div className={'flex items-center'}>
              <Form.Item name="late_fee_percent" style={{ margin: 0 }}>
                <InputNumber placeholder={'请输入'} style={inputNumberStyle} />
              </Form.Item>
              精确到小数点后两位
            </div>
            百分比0-100，例如输入2，则每日按应收费用的2%比例收取滞纳金，即100元应收费用，每天滞纳金为2元
          </Form.Item>
        </React.Fragment>
      }
    </React.Fragment>
  )
}

export default TypeForm
