import React from "react"
import { withRouter } from "react-router-dom"
import { Breadcrumb, Divider, Card } from "antd"
import './index.scss'

const childRoutes = [
  {
    title: '首页',
    path: '/admin/house/lease'
  },
  {
    title: '租赁管理',
    path: '/admin/house/manager'
  }
]

const HouseManager: React.FC = (props: any) => {
  return (
    <Card style={{ textAlign: 'left' }}>
      <Breadcrumb>
        <Breadcrumb.Item>房屋租售</Breadcrumb.Item>
        <Breadcrumb.Item>房屋租赁</Breadcrumb.Item>
      </Breadcrumb>
      <Divider/>
      <div className='custom-tab'>
        {
          childRoutes.map(({ path, title }) => (
            <div
              className={`${path === props.history.location.pathname && 'current'}`}
              key={path}
              onClick={() => props.history.push(path)}
            >
              { title }
            </div>
          ))
        }
      </div>
    </Card>
  )
}

export default withRouter(HouseManager)