import React from 'react'
import { Card, Form, Checkbox, Radio, List, Tabs, Tag } from 'antd'
import { RentHouse } from '../../services/rent'

import './index.scss'

const plainOptions = [
  { label: '备选项', value: 'other' }
]

const HouseLease: React.FC = () => {

  // const listData = [
  //   {
  //     title: '整租·7-1-101 2室1厅',
  //     tags: ['好看', '地理位置好']
  //   },
  //   {
  //     title: '整租·7-1-102 2室1厅',
  //     tags: ['好看', '地理位置好']
  //   },
  //   {
  //     title: '整租·7-1-103 2室1厅',
  //     tags: ['好看', '地理位置好']
  //   }
  // ]
  const [listData, setListData] = React.useState([])
  React.useEffect(() => {
    RentHouse({ page: 1, pageSize: 20 }).then((res) => {
      setListData(res.data)
    })
  }, [])

  return (
    <Card style={{ textAlign: 'left' }}>
      <Form>
        <Form.Item label='方式'>
          <Radio.Group>
            <Radio value="0">不限</Radio>
              <Radio value="1">整租</Radio>
              <Radio value="2">合租</Radio>
          </Radio.Group>
        </Form.Item>
        <Form.Item label='租金'>
          <Checkbox.Group options={plainOptions} />
        </Form.Item>
        <Form.Item label='户型'>
          <Checkbox.Group options={plainOptions} />
        </Form.Item>
        <Form.Item label='面积'>
          <Checkbox.Group options={plainOptions} />
        </Form.Item>
      </Form>
      <div className="search-result">已为您找到<span>300</span>套</div>
      <Tabs
        defaultActiveKey="1"
        size="large"
        tabBarGutter={50}
        tabBarStyle={{ padding: '0 15px' }}
        style={{ margin: '10px 0' }}
      >
        <Tabs.TabPane tab="综合排序" key="1"/>
        <Tabs.TabPane tab="价格" key="2"/>
        <Tabs.TabPane tab="面积" key="3"/>
      </Tabs>
      <List
        dataSource={listData}
        itemLayout="vertical"
        pagination={{
          onChange: page => {
            console.log(page);
          },
          pageSize: 1,
        }}
        renderItem={(item: any) => (
          <List.Item
            className={'search-line'}
            extra={<div className={'search-line__price'}>3600/月</div>}
          >
            <List.Item.Meta
              avatar={(
                <img
                  className={'search-line__cover'}
                  src={'https://hbimg.huabanimg.com/f2ec8de762c7948d9fcd51872626d4acfe225fba3dd70-wnJdoT_fw658/format/webp'}
                  alt='22'
                />
              )}
              title={<div className={'search-line__title'}>{item.title}</div>}
              description={(
                <div>
                  { item.title }
                  <div className={'search-line__tags'}>
                    { item?.tags?.map(tag => <Tag>{tag}</Tag>) }
                  </div>
                </div>
              )}
            />
          </List.Item>
        )}
      />
    </Card>
  )
}

export default HouseLease
