import * as React from 'react'
import type { ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button, Modal, Form, Select } from 'antd'
import { PlusOutlined } from '@ant-design/icons'
import { withRouter } from 'react-router-dom'

const GardenList: React.FC = (props: any) => {
  // @ts-ignore
  const columns: any = [
    {
      title: 'ID',
      dataIndex: 'id',
      search: false
    },
    {
      title: '小区名称',
      dataIndex: 'name'
    },
    {
      title: '城市',
      dataIndex: 'name',
      search: false
    },
    {
      title: '街道社区',
      dataIndex: 'name',
      search: false
    },
    {
      title: '小区详细地址',
      dataIndex: 'name',
      search: false,
    },
    {
      title: '联系人',
      dataIndex: 'name',
      search: false,
    },
    {
      title: '物业联系人',
      dataIndex: 'name',
      search: false,
    },
    {
      title: '联系电话',
      dataIndex: 'company_phone',
      search: false,
    },
    {
      title: '管理入口',
      dataIndex: 'company_phone',
      search: false,
      render: (_, record) => [
        <a type='link'>管理入口</a>
      ]
    },
    {
      title: '创建时间',
      dataIndex: 'company_phone',
      search: false,
    },
    {
      title: '操作',
      dataIndex: 'option',
      search: false,
	  width: 210,
	  align: 'center',
      render: (_, row, index, action) => [
        <a style={{marginRight: 20 }} type='link' onClick={() => {
          setState(pre => ({ ...pre, visible: true }))
        }}>修改</a>, <a type='link' onClick={() => {
          setState(pre => ({ ...pre, visible: true }))
        }}>删除</a>
      ]
    }
  ]
  const [state, setState] = React.useState({
    visible: false,
    examineVisible: false
  })

  const actionRef = React.useRef<ActionType>();
  return (
    <React.Fragment>
      <ProTable
        actionRef={actionRef}
        rowKey="key"
        request={() => {
          return Promise.resolve({
            total: 200,
            data: [{}],
            success: true,
          });
        }}
        toolBarRender={() => [
          <Button
            type="primary"
            key="primary"
            onClick={() => {
              props.history.push('/admin/garden/create')
            }}
          >
            <PlusOutlined /> 新建
          </Button>
        ]}
        columns={columns}
      />
      <Modal
        visible={state.visible}
        title='修改小区所属物业公司'
        onOk={() => setState(pre => ({ ...pre, visible: false }))}
        onCancel={() => setState(pre => ({ ...pre, visible: false }))}
      >
        <Form>
          <Form.Item label='所属物业公司'>
            <Select placeholder='请选择'>
              <Select.Option value='1'>
                测试
              </Select.Option>
            </Select>
          </Form.Item>
        </Form>
      </Modal>
    </React.Fragment>
  )
}

export default withRouter(GardenList)