import React from 'react'
import type { ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button, Modal, Form, Select, Image } from 'antd'
import { withRouter } from 'react-router-dom'
import { GetHouseholdApproveList } from '../../services/household'

const OwnerList: React.FC = (props: any) => {
  // @ts-ignore
  const columns: any = [
    {
      title: 'ID',
      dataIndex: 'id',
      search: false
    },
    {
      title: '姓名',
      dataIndex: 'name',
      search: true
    },
    {
      title: '联系电话',
      dataIndex: 'phone',
      search: true,
    },
    {
      title: '住户身份',
      dataIndex: 'user_type',
      valueEnum: {
        1: { text: '业主' },
        2: { text: '家人' },
        3: { text: '租客' }
      },
    },
    {
      title: '证件类型',
      dataIndex: 'id_type',
      valueEnum: {
        1: { text: '身份证' },
        2: { text: '护照' }
      },
      search: false,
    },
    {
      title: '证件号码',
      dataIndex: 'id_number',
      search: false,
    },
    {
      title: '房号',
      dataIndex: 'house_name',
      search: false,
    },
    {
      title: '附件',
      dataIndex: 'appendix',
      search: false
    },
    {
      title: '认证状态',
      dataIndex: 'status',
      hideInForm: true,
      search: false,
      valueEnum: {
        1: {
          text: '待审核',
          status: 'Processing',
        },
        2: {
          text: '审核通过',
          status: 'Success',
        },
        3: {
          text: '不通过',
          status: 'Error',
        },
      },
    },
    {
      title: '操作',
      dataIndex: 'option',
      search: false,
      width: 210,
	  align: 'center',
      render: (_, row, index, action) => [
        <a onClick={() => {
          setState(pre => ({ ...pre, visible: true }))
        }}>审核</a>,
      ]
    }
  ]
  const [state, setState] = React.useState({
    visible: false,
    examineVisible: false
  })

  const actionRef = React.useRef<ActionType>();
  return (
    <React.Fragment>
      <ProTable
        actionRef={actionRef}
        rowKey="key"
        request={GetHouseholdApproveList}
        columns={columns}
      />
      <Modal
        visible={state.visible}
        title='修改小区所属物业公司'
        onOk={() => setState(pre => ({ ...pre, visible: false }))}
        onCancel={() => setState(pre => ({ ...pre, visible: false }))}
      >
        <Form>
          <Form.Item label='所属物业公司'>
            <Select placeholder='请选择'>
              <Select.Option value='1'>
                测试
              </Select.Option>
            </Select>
          </Form.Item>
        </Form>
      </Modal>
    </React.Fragment>
  )
}

export default withRouter(OwnerList)
