import React, { useState } from "react"
import { Parking, ParkingPosition } from '../../services/parking'

export const useParking = () => {
  const [state, setState] = useState([])
  const request = (params = { page: 1, pageSize: 9999 }) => {
    Parking(params)
      .then(({ data }) => {
        setState(data?.map(({ park_name, id }) => ({ value: id, label: park_name })))
      })
  }
  return [state, request] as const
}

export const useParkingPosition = () => {
  const [state, setState] = useState([])
  const request = (params = { page: 1, pageSize: 9999 }) => {
    ParkingPosition(params)
      .then(({ data }) => {
        setState(data?.map(({ space_number, id }) => ({ value: id, label: space_number })))
      })
  }
  return [state, request] as const
}
