import React from 'react'
import type { ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button, Modal, Form, Image, Card, Divider } from 'antd'
import { withRouter } from 'react-router-dom'
import './index.scss'

const FormItems = [
  {
    label: '姓名',
    key: 'xx'
  },
  {
    label: '联系电话',
    key: 'xx'
  },
  {
    label: '业主身份',
    key: 'xx'
  },
  {
    label: '证件类型',
    key: 'xx'
  },
  {
    label: '证件号码',
    key: 'xx'
  },
  {
    label: '房号',
    key: 'xx'
  }
]
const Neighbor: React.FC = (props: any) => {
  // @ts-ignore
  const columns: any = [
    {
      title: 'ID',
      dataIndex: 'id',
      search: false
    },
    {
      title: '评论父ID',
      dataIndex: 'name'
    },
    {
      title: '评论ID',
      dataIndex: 'icon'
    },
    {
      title: '用户ID',
      dataIndex: 'icon'
    },
    {
      title: '用户昵称',
      dataIndex: 'icon'
    },
    {
      title: '评论内容',
      dataIndex: 'icon'
    },
    {
      title: '状态',
      dataIndex: 'status',
      search: false,
      valueEnum: {
        1: {
          text: '关闭',
          status: 'Processing',
        },
        2: {
          text: '开启',
          status: 'Success',
        },
      },
    },
    {
      title: '评论时间',
      dataIndex: 'name',
      search: false,
    },
    {
      title: '操作',
      dataIndex: 'option',
      search: false,
      width: 210,
	  align: 'center',
      render: (_, row, index, action) => [
        <a onClick={() => {
          setState(pre => ({ ...pre, visible: true }))
        }}>删除</a>
      ]
    }
  ]
  const [state, setState] = React.useState({
    visible: false,
    examineVisible: false
  })

  const actionRef = React.useRef<ActionType>();
  return (
    <React.Fragment>
      <Card className='custom-toolbar'>
        <Button type='primary' onClick={() => props.history.goBack()}>返回</Button>
      </Card>
      <Divider/>
      <ProTable
        actionRef={actionRef}
        rowKey="key"
        search={false}
        request={() => {
          return Promise.resolve({
            total: 200,
            data: [{}],
            success: true,
          });
        }}
        columns={columns}
      />
      <Modal
        visible={state.visible}
        title='业主认证'
        onOk={() => setState(pre => ({ ...pre, visible: false }))}
        onCancel={() => setState(pre => ({ ...pre, visible: false }))}
        okText='通过'
        cancelText='不通过'
      >
        <Form
          labelCol={{ span: 4 }}
          wrapperCol={{ span: 12 }}
        >
          {
            FormItems.map((item, index) => {
              return (
                <Form.Item label={item.label} key={index}>
                  { item.key }
                </Form.Item>
              )
            })
          }
          <Form.Item label='附件'>
            <Image
              height={200}
              src={'https://hbimg.huabanimg.com/a47bf3818a5411d277803711ac793f44ff52db5211820-PL1Eg9_fw658/format/webp'}
            />
          </Form.Item>
        </Form>
      </Modal>
    </React.Fragment>
  )
}

export default withRouter(Neighbor)