import React, { FC } from 'react'
import { Form, Card, Image, Divider, Input, Upload, Button } from 'antd'

const CompanyInfo: FC = () => {
  const uploadProps: any = {
    name: "file",
    action: "/api/v1/upload",
    headers: {
      token: localStorage.getItem('area-token')
    },
    listType: "picture",
    maxCount: 1
  }
  return (
    <Card style={{ textAlign: 'left' }}>
      <div className='custom-card-title'>系统设置/企业信息</div>
      <Divider/>
      <Form
        labelCol={{ span: 2 }}
        wrapperCol={{ span: 12 }}
        initialValues={{ remember: true }}
        labelAlign={'right'}
      >
        <Form.Item label='LOGO'>
          <Image width={200} src="https://zos.alipayobjects.com/rmsportal/jkjgkEfvpUPVyRjUImniVslZfWPnJuuZ.png"/>
          <Divider/>
          <Upload {...uploadProps}>
            <Button>上传图片</Button>
          </Upload>
        </Form.Item>
        <Form.Item label='企业名称'>
          <Input placeholder='请输入'/>
        </Form.Item>
        <Form.Item label='企业联系电话'>
          <Input placeholder='请输入'/>
        </Form.Item>
        <Form.Item label='企业地址'>
          <Input placeholder='请输入'/>
        </Form.Item>
        <Form.Item label='企业网址'>
          <Input placeholder='请输入'/>
        </Form.Item>
        <Form.Item label='统一社会信用代码'>
          2313133131
        </Form.Item>
        <Form.Item label='营业执照'>
          <Image width={200} src="https://zos.alipayobjects.com/rmsportal/jkjgkEfvpUPVyRjUImniVslZfWPnJuuZ.png"/>
        </Form.Item>
        <Form.Item label='企业简介'>
          <Input.TextArea rows={4} placeholder='多行输入' />
        </Form.Item>
      </Form>
    </Card>
  )
}

export default CompanyInfo