import React, { useState } from "react"
import { Building, BuildingUnit, BuildingHouse } from '../../services/building'

export const useBuilding = () => {
  const [state, setState] = useState([])
  const request = (params = { page_size: -1 }) => {
    Building(params)
      .then(({ data }) => {
        setState(data?.map(({ building_name, id }) => ({ value: id, label: building_name })))
      })
  }
  return [state, request] as const
}

export const useBuildingUnit = () => {
  const [state, setState] = useState([])
  const request = (params = { page: 1, pageSize: 9999 }) => {
    BuildingUnit(params)
      .then(({ data }) => {
        setState(data?.map(({ unit_name, id }) => ({ value: id, label: unit_name })))
      })
  }
  return [state, request] as const
}

export const useBuildingHouse = () => {
  const [state, setState] = useState([])
  const request = (params = { page: 1, pageSize: 9999 }) => {
    BuildingHouse(params)
      .then(({ data }) => {
        setState(data?.map((row) => ({ ...row, value: row.id, label: row.house_name })))
      })
  }
  return [state, request] as const
}
